Subject: Re: system
From: "Karim" <[email-masked]>
To: <[email-masked]>
Date: Wed, 10 Jul 2002 23:34:18 +0200

----- Original Message -----
From: <[email-masked]>
To: "Bernardet Karim" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, July 10, 2002 9:32 AM
Subject: Re: system

> Hello,
>
> The "system" call works through the use of /bin/sh (without the absolute
path
> specification), so "sh" must be in your path for "system" to work.
Someone
> please correct me if I'm wrong.
>
> If this is in fact the problem, then you must have copied cygwin1.dll to
> someplace in your path and not add /bin to your path.  At least on the
Cygwin
> installation I'm using at the moment, -mno-cygwin will result in the
printf-
> only behavior.
>
> I hope this helps.
>
> Jason Alonso
>
> Quoting Bernardet Karim <[email-masked]>:
>
> > Hello  !
> >
> > When I compile the code below under cygwin, all is ok when i run it in =
> > the
> > cygwin shell, but if i run it in a MSDOS console I just have  the result
=
> > of
> > the printf ....
> >
> > ....
> > {
> > system("c:/tempo/cygwin/bin/ls c:/tempo ");
> > printf("c:/tempo/cygwin/bin/ls c:/tempo ");
> > }
> >
> > Thanks for your help ...
> >
> >
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
> >
>
>
>

First, thanks a lot for your help

using -mno-cygwin with gcc, system("c:\\tempo\\cygwin\\bin\\ls ") works in a
MSDOS shell
but without -mno-cygwin and if I copy cygwin1.dll in c:\windows\system, it
doesn t work in a MSDOS shell

i could use -mno-cygwin but in the  case i have to use winsock :((

Karim.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/